## xplayer-pl-parser 1.0.2%2Bdebbie

=== debian/changelog ===
xplayer-pl-parser (1.0.2+debbie) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

xplayer-pl-parser (1.0.1) sarah; urgency=medium

  * 1.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Feb 2016 16:36:18 +0000

xplayer-pl-parser (1.0.0) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Jan 2016 15:03:00 +0100

## xplayer-pl-parser 1.0.2%2Bserena

=== debian/changelog ===
xplayer-pl-parser (1.0.2+serena) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

## xplayer-pl-parser 1.0.3+elsie

=== meson_options.txt ===
option('disable-gmime-i-know-what-im-doing', type: 'boolean', value: 'false',
  description : 'Disable libgmime (Unsupported, breaks Podcast support).')
option('enable-quvi', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libquvi support.')
option('enable-libarchive', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libarchive support.')
option('enable-libgcrypt', type: 'combo', choices : ['yes', 'no', 'auto'], value : 'auto',
  description : 'Enable libgcrypt support.')
option('enable-uninstalled-tests', type: 'boolean', value: 'false',
  description : 'Enable uninstalled tests.')
option('enable-gtk-doc', type: 'boolean', value: 'false',
  description : 'Generate the API reference (depends on GTK-Doc)')

## xplayer-pl-parser 1.0.2+betsy

=== debian/changelog ===
xplayer-pl-parser (1.0.2+betsy) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

=== debian/control ===
Source: xplayer-pl-parser
Section: libs
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               autotools-dev,
               cdbs (>= 0.4.90),
               gnome-pkg-tools,
               intltool (>= 0.35),
               libxml-parser-perl,
               libglib2.0-dev (>= 2.31.0),
               libxml2-dev,
               libgmime-2.6-dev,
               libsoup-gnome2.4-dev (>= 2.43.0),
               libarchive-dev (>= 3.0),
               gtk-doc-tools (>= 1.11),
               libglib2.0-doc,
               libgirepository1.0-dev (>= 0.10.7-1~),
               gobject-introspection (>= 0.9.12-4~)
Standards-Version: 3.9.4

Package: libxplayer-plparser-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libxplayer-plparser18 (= ${binary:Version}),
         gir1.2-xplayer-plparser-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libxml2-dev,
         libgmime-2.6-dev,
         libarchive-dev
Replaces: libxplayer-plparser10
Description: Xplayer Playlist Parser library - development files
 xplayer-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the development headers and documentation.

Package: libxplayer-plparser18
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: libxplayer-plparser10, libxplayer-plparser12, libxplayer-plparser17
Description: Xplayer Playlist Parser library - runtime files
 xplayer-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the shared library.

Package: libxplayer-plparser-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libxplayer-plparser18 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Xplayer Playlist Parser library - debugging symbols
 xplayer-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 This package contains the debugging symbols.

Package: gir1.2-xplayer-plparser-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.0-xplayer-plparser-1.0
Replaces: gir1.0-xplayer-plparser-1.0
Description: GObject introspection data for the Xplayer Playlist Parser library
 This package contains introspection data for the Xplayer Playlist Parser
 library.
 .
 xplayer-pl-parser is a simple GObject-based library to parse a host of
 playlist formats, as well as save those.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## xplayer-pl-parser 1.0.2+cindy

=== debian/changelog ===
xplayer-pl-parser (1.0.2+cindy) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libxplayer-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libxplayer-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(libxplayer-plparserN) += -V -- -c4

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

## xplayer-pl-parser 1.0.2+pearl5.0

=== debian/changelog ===
xplayer-pl-parser (1.0.2+pearl5.0) rapturo; urgency=medium

  * Initial build pearl 5

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 15 Jun 2017 20:40:55 -0500

## xplayer-pl-parser 1.0.2+sarah

=== debian/changelog ===
xplayer-pl-parser (1.0.2+sarah) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

## xplayer-pl-parser 1.0.2+tara

=== debian/changelog ===
xplayer-pl-parser (1.0.2+tara) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

## xplayer-pl-parser 1.0.2+ulyana

=== debian/changelog ===
xplayer-pl-parser (1.0.2+ulyana) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 8),
-               autotools-dev,
+               meson,
                cdbs (>= 0.4.90),
                gnome-pkg-tools,
                intltool (>= 0.35),
@@ -13,6 +13,7 @@
                libgmime-2.6-dev,
                libsoup-gnome2.4-dev (>= 2.43.0),
                libarchive-dev (>= 3.0),
+               libgcrypt20-dev,
                gtk-doc-tools (>= 1.11),
                libglib2.0-doc,
                libgirepository1.0-dev (>= 0.10.7-1~),

## xplayer-pl-parser 1.0.3%2Bfaye

=== debian/changelog ===
xplayer-pl-parser (1.0.3+faye) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * Remove hadess from MAINTAINERS
  * Add CI configuration

  [ Leigh Scott ]
  * Port to meson (#3)

  [ Clement Lefebvre ]
  * CI: Update targets
  * Bump gmime dependency to version 3.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Sep 2022 20:03:58 +0100

xplayer-pl-parser (1.0.2) sarah; urgency=medium

  [ gogogogi ]
  * Update hr.po
  * Update hr.po

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 15:24:25 +0100

## xplayer-pl-parser 1.0.3+elsie

=== debian/changelog ===
xplayer-pl-parser (1.0.3+elsie) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * Remove hadess from MAINTAINERS
  * Add CI configuration

  [ Leigh Scott ]
  * Port to meson (#3)

  [ Clement Lefebvre ]
  * CI: Update targets
  * Bump gmime dependency to version 3.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Sep 2022 20:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxml-parser-perl,
                libglib2.0-dev (>= 2.31.0),
                libxml2-dev,
-               libgmime-2.6-dev,
+               libgmime-3.0-dev,
                libsoup-gnome2.4-dev (>= 2.43.0),
                libarchive-dev (>= 3.0),
                libgcrypt20-dev,
@@ -28,7 +28,7 @@
          gir1.2-xplayer-plparser-1.0 (= ${binary:Version}),
          libglib2.0-dev,
          libxml2-dev,
-         libgmime-2.6-dev,
+         libgmime-3.0-dev,
          libarchive-dev
 Replaces: libxplayer-plparser10
 Description: Xplayer Playlist Parser library - development files

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

libxplayer-plparserN := $(shell sed -rn 's/^Package:[[:space:]]*(libxplayer-plparser[0-9]+)[[:space:]]*$$/\1/p' debian/control)

# https://lists.debian.org/debian-devel/2017/09/msg00006.html
# https://github.com/mesonbuild/meson/issues/2268
export LC_ALL=C.UTF-8

CONFIGURE_EXTRA_FLAGS = \
		--prefix=/usr \
		--libdir=/usr/lib \
		-Denable-gtk-doc=true \
		-Denable-libarchive=yes \
		-Denable-libgcrypt=yes

export LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed


%:
	dh $@ --parallel --with gir

override_dh_auto_configure:
	mkdir -p build
	meson build $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	ninja -C build

override_dh_auto_test:
	# ninja -C build test

override_dh_strip:
	dh_strip --dbg-package=libxplayer-plparser-dbg

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/tmp \
	ninja -C build install

override_dh_makeshlibs:
	dh_makeshlibs -p $(libxplayer-plparserN) -V -- -c4
	dh_makeshlibs --remaining-packages

## xplayer-pl-parser 1.0.3+vanessa

=== debian/changelog ===
xplayer-pl-parser (1.0.3+vanessa) vanessa; urgency=medium

  [ Clement Lefebvre ]
  * Remove hadess from MAINTAINERS
  * Add CI configuration

  [ Leigh Scott ]
  * Port to meson (#3)

  [ Clement Lefebvre ]
  * CI: Update targets
  * Bump gmime dependency to version 3.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Sep 2022 20:03:58 +0100
